Package: org.grails.web.servlet.mvc.exceptions

## [Java] Class GrailsMVCException

- org.grails.web.servlet.mvc.exceptions.GrailsMVCException

-     public abstract class GrailsMVCException
      extends GrailsException

  Thrown when an unrecoverable error occurred in the Grails MVC framework.

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static long` | `serialVersionUID` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsException` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsMVCException ()`
    `GrailsMVCException (java.lang.String message)`
    `GrailsMVCException (java.lang.String message, java.lang.Throwable cause)`
    `GrailsMVCException (java.lang.Throwable cause)`

- - ### Field Detail

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public GrailsMVCException()

    - #### public GrailsMVCException(java.lang.String message)

    - #### public GrailsMVCException(java.lang.String message, java.lang.Throwable cause)

    - #### public GrailsMVCException(java.lang.Throwable cause)